export interface IValidatorsNumberRequirements {
    min?: number;
    max?: number;
}
export interface IValidatorsStringRequirements {
    mustContain?: string[] | string;
    validChars?: string[] | string;
    min?: number | Number;
    max?: number;
    regexp?: RegExp | string;
    number?: IValidatorsNumberRequirements;
}
export declare type IValidatorsPresets = {
    dob: IValidatorsRequirements;
    name: IValidatorsRequirements;
    ein: IValidatorsRequirements;
    password: IValidatorsRequirements;
    age: IValidatorsRequirements;
    email: IValidatorsRequirements;
    username: IValidatorsRequirements;
    phone: IValidatorsRequirements;
};
export declare type IValidatorsRequirements = IValidatorsNumberRequirements | IValidatorsStringRequirements | ValidatorFnCreator;
export declare type IValidatorsValidateOptions = {
    maxErrors?: number;
};
export declare type StringValidatorFn = (str: string) => Error[];
export declare type NumberValidatorFn = (num: number) => Error[];
export declare type ValidatorFnCreator = () => (val: any) => Error[];
export declare const charHashes: {
    letters: any;
    lowercase: any;
    uppercase: any;
    digits: any;
    symbols: any;
    alphanumeric: any;
    spaces: any;
};
export declare const getHash: (str: any) => any;
export declare const combineHashes: (...hashes: any[]) => any;
export declare const createBinaryHash: (acc: any, cur: any, idx: any) => any;
export declare const surroundQuotes: (str: any) => string;
export declare const createMustContainValidator: (mustContain: any) => StringValidatorFn;
export declare const createStringMinValidator: (min: any) => StringValidatorFn;
export declare const createStringMaxValidator: (max: any) => StringValidatorFn;
export declare const createValidCharsValidator: (validChars: any) => StringValidatorFn;
export declare const createRegexpValidator: (regexp: any) => StringValidatorFn;
export declare const createStringValidator: (requirements: IValidatorsStringRequirements) => StringValidatorFn;
export declare const createNumberValidator: ({ min, max }: IValidatorsNumberRequirements) => (num: string | number) => Error[];
export declare const createOneOfValidator: ({ options }: {
    options: any[];
}) => (input: any) => Error[];
